import java.security.*;
import javax.crypto.Cipher;

public class TestCryptoStrength {


   public static void main(String[] argv) { 
       System.out.println(" JCE Unlimited Strength Policy Files Installed : " + isUnlimitedCryptoLength());
   }
   
   
   static boolean isUnlimitedCryptoLength() {
	   
	   try { 
		   int length = Cipher.getMaxAllowedKeyLength("AES");
	       // 128 is the limited cryto length, and Int.max_value is is unlimited.
	      boolean unlimited = (length == Integer.MAX_VALUE);
	      return unlimited;
	   }
	   catch (NoSuchAlgorithmException e) {
	   } 
	   //catch (NoSuchProviderException e) {
		//}
	   return false; 
   }
}
